VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
MouseWheelEvent Struct Reference
New classes » Version 4.11

MouseWheelEvent. More...

`#include <events.h>`

Inheritance diagram for MouseWheelEvent:

## Public Types
enum | Flags : uint32_t { DirectionInvertedFromDevice = 1 << 0 , PreciseDeltas = 1 << 1 }

## Public Member Functions
| MouseWheelEvent ()
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Public Attributes
CCoord | deltaX {0.}
CCoord | deltaY {0.}
uint32_t | flags {0}
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Detailed Description

MouseWheelEvent.

## Member Enumeration Documentation

## ◆ Flags

enum Flags : uint32_t

Enumerator
DirectionInvertedFromDevice | deltaX and deltaY are inverted
PreciseDeltas | indicates a precise scroll event where deltaX and deltaY are multiplied by 0.1. If you divide the deltas by 0.1 you will get exact pixel movement.

## Constructor & Destructor Documentation

## ◆ MouseWheelEvent()

MouseWheelEvent | ( |  | ) |
| inline

## Member Data Documentation

## ◆ deltaX

CCoord deltaX {0.}

## ◆ deltaY

CCoord deltaY {0.}

## ◆ flags

uint32_t flags {0}

The documentation for this struct was generated from the following file:

- events.h